#if !defined(AFX_CONFIGDATA_H__06BA3180_6EB4_11D2_8F2A_91728893B80B__INCLUDED_)
#define AFX_CONFIGDATA_H__06BA3180_6EB4_11D2_8F2A_91728893B80B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class configdata  
{
public:
	configdata ();
	virtual ~configdata	();
	int     itemcount; // TEST
    int     aliascount;
    char    aliases[MAX_ALIASES][512];
    char    alias[MAX_ALIAS][MAX_FUN_LEN];
	char    items[256][256]; // TEST
	void    item_list(); // TEST
public: 
	// functions
	void 			print_help();
	void			print_settings();
	void			read_options(int argc, char **argv);
	void			read_cfg(char* cfg_str);
    void            get_alias(char* str);
	// variables
	char			filespec[256];
	char			output_directory[256];
	char			homepage_address[256];
	char			homepage_string[256];
	char			font_size_title[16];
	char			font_size_text[16];
	char			configfile[256];
    char            weaponnames[64][MAX_WEAPONNAMES];
    char            set_weaponset[64];
    char            define_weaponset[64];
	unsigned int	min_kills;
	unsigned int	min_games;
	unsigned int	min_playtime;
	int				max_players;
	int				top_players;
	int				game_split;
	bool			limits_used;
	bool			no_bots;
	bool			no_funnames;
	bool			q3ladata;
	bool			open_after;
	bool			q3la_css;
	bool			in_subdir;
	bool			chatlog;
	sort_t			sortorder_players_1;
	sort_t			sortorder_players_2;
private:
	void			parse_cfg_line (char* line);
	void			get_option(char* line, char* search_str, char* cfg_str);
	void			get_word (char* pos, char* str);
	void 			print_opts(int opt);
	void 			print_opt_begin();
    void            get_aliases(char* line);
	int 			find_action(char *str);
    void            get_weaponname (char* line);
};

#endif // !defined(AFX_CONFIGDATA_H__06BA3180_6EB4_11D2_8F2A_91728893B80B__INCLUDED_)
