#include "q3la.h"

// still missing: per player info!!! kills by weapons!!!
// Netscape compatible???

output::output(resultdata* in_result, outputfile* in_out, configdata* in_config)
{
	config = in_config;
	result = in_result;
	out = in_out;
}

output::output(resultdata_total* in_result_total, outputfile* in_out, configdata* in_config, int in_gamecount)
{
	gamecount = in_gamecount;
	config = in_config;
	result_total = in_result_total;
	out = in_out;
}

output::~output()
{
}

void output::game_info() // extend!!!
{
	html::line (out, "<b>Game info</b>");
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000");
	out->write ("<tr>\r\n");
	html::set_tdth ("bgcolor=#000080");
	html::table_entry_bold (out, "Map");
	html::set_tdth ("bgcolor=#606060");
	html::table_entry (out, "<p align=right>%s</p>", result->mapname);
	out->write ("</tr>\r\n");
	out->write ("<tr>\r\n");
	html::set_tdth ("bgcolor=#000080");
	html::table_entry_bold (out, "Game");
	html::set_tdth ("bgcolor=#606060");
	html::table_entry (out, "<p align=right>%s</p>", result->gamename);
	out->write ("</tr>\r\n");
	out->write ("<tr>\r\n");
	html::set_tdth ("bgcolor=#000080");
	html::table_entry_bold (out, "Gametype");
	html::set_tdth ("bgcolor=#606060");
	html::table_entry (out, "<p align=right>%s</p>", result->gametype);
	out->write ("</tr>\r\n");
	out->write ("<tr>\r\n");
	html::set_tdth ("bgcolor=#000080");
	html::table_entry_bold (out, "Timelimit");
	html::set_tdth ("bgcolor=#606060");
	html::table_entry (out, "<p align=right>%i</p>", result->timelimit);
	out->write ("</tr>\r\n");
	out->write ("<tr>\r\n");
	html::set_tdth ("bgcolor=#000080");
	html::table_entry_bold (out, "Fraglimit");
	html::set_tdth ("bgcolor=#606060");
	html::table_entry (out, "<p align=right>%i</p>", result->fraglimit);
	out->write ("</tr>\r\n");
	html::table_footer(out);
}

void output::table_kills_html(int weapon)
{
	html::set_tdth ("");
	if (result->get_total_kills(weapon) == 0) {
		return;
	}
	int i;
	int j;
	html::table_header(out, "border=1 cellspacing=0 bgcolor=#606060 bordercolor=#000000");
	out->write ("<tr bgcolor=000080>\r\n<td align=center colspan=%i><b>Killchart (%s)</b></td>\r\n</tr>\r\n", result->get_player_count()+3, config->weaponnames[weapon]);
	out->write ("<tr>\r\n<td>&nbsp;</td>\r\n<td>&nbsp;</td>\r\n");
	for (i = 0; i < result->get_player_count(); i++) {
		out->write ("<td><p align=center><font color=#FF0000><b>%i</b></font></p></td>\r\n", i+1);
	}
	out->write ("<td><b>KILLS</b></td>\r\n");
	out->write ("</tr>\r\n");
	for (i = 0; i < result->get_player_count(); i++) {
		if (result->get_player(i)->get_name()[0] != 0) {
			out->write ("<tr>\r\n<td><b>%s</b></td>\r\n", result->get_player(i)->htmlname_nofun);
		} else {
			out->write ("<tr>\r\n<td>&nbsp;</td>\r\n");
		}
		out->write ("<td width=20><p align=center><font color=#FF0000><b>%i</b></font></p></td>\r\n", i+1);
		for (j = 0; j < result->get_player_count(); j++) {
			if (i != j) {
				out->write ("<td width=20><p align=right>%i</p></td>\r\n", 
					result->get_kills(i,j,weapon));
			} else {
				out->write ("<td width=20><p align=right><font color=#0000FF>%i</font></p></td>\r\n", 
					result->get_kills(i,j,weapon));
			}
		}
		out->write ("<td><p align=right><b>%i</b></p></td>\r\n", 
			result->get_player_kills(i,weapon) - result->get_player_suicides(i,weapon));
		out->write ("</tr>\r\n");
	}
	out->write ("<tr>\r\n<td><b>DEATHS</b></td>\r\n");
	out->write ("<td>&nbsp;</td>\r\n");
	for (i = 0; i < result->get_player_count(); i++) {
		out->write ("<td><p align=right><b>%i</b></p></td>\r\n", 
			result->get_player_killed(i,weapon));
	}
	out->write ("<td><p align=right><b>%i</b></p></td>\r\n", result->get_total_kills(weapon));
	out->write ("</tr>\r\n");
	html::table_footer(out);
	html::line_header(out); 
	html::line_footer(out);
}

void output::list_players_html(bool list_sorting)
{
	bool teamplay = result->teamplay;
	if (teamplay) {
		int score1 = result->get_team(1)->get_frags() - result->get_team(1)->get_teamkills();
		int score2 = result->get_team(2)->get_frags() - result->get_team(2)->get_teamkills();
		if (score1 < score2) {
			result->sort_players (so_team, false);
		} else {
			result->sort_players (so_team, true);
		}
		html::line (out, "<b>Players (sorted by team and score)</b>");
	} else {
		if (list_sorting) html::line (out, "<b>Players (sorted by %s and %s)</b>", sortorder_string(config->sortorder_players_1), sortorder_string(config->sortorder_players_2));
	}
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000 bgcolor=#606060");
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	html::set_tdth ("align=left width=20");
	html::table_entry_bold (out, "#");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "Name");
	if (teamplay) {
		html::table_entry_bold (out, "Team");
	}
	html::set_tdth ("");
	if (config->no_bots == false) {
		html::table_entry_bold (out, "Bot");
	}
	html::table_entry_bold (out, "Ratio");
	html::table_entry_bold (out, "Eff");
	html::table_entry_bold (out, "Skill");
	if (teamplay) {
		html::table_entry_bold (out, "Score");
	}
	html::table_entry_bold (out, "Frags");
	html::table_entry_bold (out, "Kills");
	html::table_entry_bold (out, "Killed");
	html::table_entry_bold (out, "Suicides");
	html::table_entry_bold (out, "Deaths");
	html::table_entry_bold (out, "T.deaths");
	if (teamplay) {
		html::table_entry_bold (out, "Teamkills");
	}
	html::table_entry_bold (out, "MKIOL");
	html::table_entry_bold (out, "Avg. life");
	html::table_entry_bold (out, "FPM");
	html::table_entry_bold (out, "DPM");
	html::table_entry_bold (out, "Playtime");
	out->write ("</tr>\r\n");
	for (int i = 0; i < result->get_player_count(); i++) {
		if (i % 2 == 0) {
			out->write ("<tr align=right bgcolor=#808080>\r\n");
		} else {
			out->write ("<tr align=right>\r\n");
		}
		int kills = result->get_player_kills(i);
		int killed = result->get_player_killed(i);
		int suicides = result->get_player_suicides(i);
		int deaths = result->get_player(i)->get_deaths();
		int frags = result->get_player(i)->get_frags();
		int total_deaths = killed + deaths + suicides;
		int playtime = result->get_player(i)->playtime;
		html::set_tdth ("align=left");
		html::table_entry (out, "%i", i+1);
		html::table_entry (out, "<b>%s</b>", result->get_player(i)->get_htmlname(config->no_funnames));
		if (teamplay) {
			html::table_entry (out, "<center><b>%s</b></center>", teamstr(result->get_player(i)->teams));
		}
		html::set_tdth ("align=center");
		if (config->no_bots == false) {
			if (result->get_player(i)->botskill > -1) {
				html::table_entry (out, "(%i)", result->get_player(i)->botskill);
			} else {
				html::table_entry (out, "-");
			}
		}
		html::set_tdth ("");
		
		double ratio = result->get_player(i)->get_ratio();
		if ((ratio + 9999 < 0.001) && (ratio + 9999 > -0.001)) {
			html::table_entry (out, "ERR");
		} else {
			html::table_entry (out, "%.2f", ratio);
		}
		
		html::table_entry (out, "%.1f", result->get_player(i)->get_eff());
		html::table_entry (out, "%.2f", result->get_player(i)->get_skill());
		if (teamplay) {
			html::table_entry (out, "%i", frags - result->get_player(i)->get_teamkills());
		}
		html::table_entry (out, "%i", frags);
		html::table_entry (out, "%i", kills);
		html::table_entry (out, "%i", killed);
		html::table_entry (out, "%i", suicides);
		html::table_entry (out, "%i", deaths);
		html::table_entry (out, "%i", total_deaths);
		if (teamplay) {
			html::table_entry (out, "%i", result->get_player(i)->get_teamkills());
		}
		if (result->get_player(i)->mkiol == 0) {
			html::set_tdth ("align=center");
			html::table_entry (out, "-");
			html::set_tdth ("");
		} else {
			html::table_entry (out, "%i (%s)", result->get_player(i)->mkiol, diverse::timestr_m (result->get_player(i)->mkiol_time));
		}
		html::table_entry (out, "%s", diverse::timestr_m (playtime / (killed + suicides +  deaths + 1)));
		if (playtime != 0) {
			html::table_entry (out, "%.2f", (double) frags * 60.0 / (double) playtime);
		} else {
			html::table_entry (out, "0.00");
		}
		if (playtime != 0) {
			html::table_entry (out, "%.2f", (double) total_deaths * 60.0 / (double) playtime);
		} else {
			html::table_entry (out, "0.00");
		}
		html::table_entry (out, "%s", diverse::timestr_hm (playtime));
		out->write ("</tr>\r\n");
	}
	html::table_footer(out);
}

void output::list_teams_html()
{
	if (!(result->teamplay)) {
		return;
	}
	html::line (out, "<b>Teams</b>");
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000 bgcolor=#606060");
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "Team");
	html::table_entry_bold (out, "Eff");
	html::table_entry_bold (out, "Skill");
	html::table_entry_bold (out, "Score");
	html::table_entry_bold (out, "Frags");
	html::table_entry_bold (out, "Kills");
	html::table_entry_bold (out, "Killed");
	html::table_entry_bold (out, "Suicides");
	html::table_entry_bold (out, "Deaths");
	html::table_entry_bold (out, "T.deaths");
	html::table_entry_bold (out, "Teamkills");
	out->write ("</tr>\r\n");
	int i;
	int score1 = result->get_team(1)->get_frags() - result->get_team(1)->get_teamkills();
	int score2 = result->get_team(2)->get_frags() - result->get_team(2)->get_teamkills();
	for (int j = 1; j <= MAX_TEAMS; j++) {
		if (j == 1) {
			if (score1 > score2) i = 1;
			else i = 2;
		} else {
			if (score1 > score2) i = 2;
			else i = 1;
		}
		out->write ("<tr align=right>\r\n");
		int kills = result->get_team_kills(i);
		int killed = result->get_team_killed(i);
		int suicides = result->get_team_suicides(i);
		int deaths = result->get_team(i)->get_deaths();
		int frags = result->get_team(i)->get_frags() - result->get_team(i)->get_teamkills();
		html::set_tdth ("align=left");
		switch (i) {
		case 1:
			html::table_entry (out, "<b><font color=red>Red</font></b>");
			break;
		case 2:
			html::table_entry (out, "<b><font color=blue>Blue</font></b>");
			break;
		case 3:
			html::table_entry (out, "<b>Unassigned</b>");
			break;
		default:
			html::table_entry (out, "<b>%i</b>", i);
			break;
		}
		html::set_tdth ("");
		html::table_entry (out, "%.1f", result->get_team(i)->get_eff());
		html::table_entry (out, "%.2f", result->get_team(i)->get_skill());
		html::table_entry (out, "%i", frags - result->get_team(i)->get_teamkills());
		html::table_entry (out, "%i", frags);
		html::table_entry (out, "%i", kills);
		html::table_entry (out, "%i", killed);
		html::table_entry (out, "%i", suicides);
		html::table_entry (out, "%i", deaths);
		html::table_entry (out, "%i", killed + suicides + deaths);
		html::table_entry (out, "%i", result->get_team(i)->get_teamkills());
		out->write ("</tr>\r\n");
	}
	html::table_footer(out);
}

void output::list_players_total_html(int top)
{
	html::html_header(out, config);

#ifndef __LINUX_PLATFORM__
	// output creation time
	
    struct tm *newtime;
    time_t long_time;

    time( &long_time );                // get time as long integer
    newtime = localtime( &long_time ); // convert to local time

    out->write ("<p class=text>[%s]</p>\r\n", asctime(newtime)); 

	//-- output creation time
#endif

	if (config->homepage_address[0] != 0) {
		out->write ("<p class=title><a href=\"%s\"><font color=red>%s</font></a>", config->homepage_address, config->homepage_string);
	}
	if (top == 0) {
		if (config->top_players > 0) {
			out->write ("<p class=title><a href=\"top_players.htm\"><font color=red>Top %i players</font></a></p>", config->top_players);
		}
	} else {
		out->write ("<p class=title><a href=\"players.htm\"><font color=red>All players</font></a></p>");
	}
	
	out->write ("<p class=title><a href=\"games.htm\"><font color=red>Game index</font></a></p>");
	if (top == 0) {
		out->write ("<p class=title>Player ranking<br>(sorted by %s)</p>", sortorder_string(result_total->s_order));
	} else {
		out->write ("<p class=title>Top %i players<br>(sorted by %s)</p>", config->top_players, sortorder_string(result_total->s_order));
	}
	
	// list limits 
	
	if (config->limits_used == true) {
		html::line_header(out);
		out->write ("<b><font size=3>Limits used:</font></b>");
		if (config->min_kills > 0) { // check min_kills
			out->write ("<br>min_kills: %i", config->min_kills);
		}
		if (config->min_games > 0) { // check min_games
			out->write ("<br>min_games: %i", config->min_games);
		}
		if (config->min_playtime > 0) { // check min_playtime
			out->write ("<br>min_playtime: %s", diverse::timestr_h(config->min_playtime));
		}
		if ((config->max_players > 0) && (result_total->s_order != so_name)) { // check max_players
			out->write ("<br>max_players: %i", config->max_players);
		}
		if (config->no_bots == true) { // check no_bots
			out->write ("<br>no_bots: true");
		}
		html::line_footer(out);
	}
	
	out->write ("<p class=title>Number of games: %i</p>", gamecount); // output # of games
	
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000 bgcolor=#606060");
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	html::set_tdth ("align=left width=20");
	html::table_entry_bold (out, "#");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "<a href=\"players_name.htm\">Name</a>");
	if (config->no_bots == false) {
		html::table_entry_bold (out, "Bot");
	}
	html::set_tdth ("");
	char prepend[16] = "";
	if (top > 0) {
		strcpy (prepend, "top_");
	}
//	html::table_entry_bold (out, "Weighted score");
	html::table_entry_bold (out, "<a href=\"%splayers_ratio.htm\">Ratio</a>", prepend);
	html::table_entry_bold (out, "<a href=\"%splayers_eff.htm\">Eff</a>", prepend);
	html::table_entry_bold (out, "<a href=\"%splayers_skill.htm\">Skill</a>", prepend);
	html::table_entry_bold (out, "<a href=\"%splayers_frags.htm\">Frags</a>", prepend);
	html::table_entry_bold (out, "<a href=\"%splayers_kills.htm\">Kills</a>", prepend);
	html::table_entry_bold (out, "Killed");
	html::table_entry_bold (out, "Suicides");
	html::table_entry_bold (out, "Deaths");
	html::table_entry_bold (out, "T.deaths");
	html::table_entry_bold (out, "FPM");
	html::table_entry_bold (out, "DPM");
	html::table_entry_bold (out, "<a href=\"%splayers_playtime.htm\">Playtime</a>", prepend);
	html::table_entry_bold (out, "Games");
	html::table_entry_bold (out, "Ping");
	out->write ("</tr>\r\n");
	int rank = 1;
	int pcount = 0;
	player_t* temp_player = result_total->first_player.next;
	while (temp_player != 0) {
		
		pcount++;
		
		// check limits
		
		if (top > 0) { // check top
			if (rank > top) {
				break;
			}
		}
		
		if ((config->max_players > 0) && (result_total->s_order != so_name)) { // check max_players
			if (rank > config->max_players) {
				break;
			}
		}
		
		if (limits_exceeded(temp_player)) { // check player limits
			temp_player = temp_player->next;
			continue;
		}
		
		temp_player->listed = true;
		
		if (rank % 2 == 0) {
			out->write ("<tr align=right bgcolor=#808080>\r\n");
		} else {
			out->write ("<tr align=right>\r\n");
		}
		html::set_tdth ("align=left");
		html::table_entry (out, "%i", rank);
		html::table_entry (out, "<b><a href=\"q3la_players/player_%i.htm\">%s</a></b>",
		temp_player->iterator, temp_player->get_htmlname(config->no_funnames));
		html::set_tdth ("align=center");
		if (config->no_bots == false) {
			if (temp_player->botskill > -1) {
				html::table_entry (out, "(%i)", temp_player->botskill);
			} else {
				html::table_entry (out, "-");
			}
		}
		html::set_tdth ("");

//		html::table_entry (out, "%.2f", result_total->get_player_weighted_score (temp_player));
		
		double ratio = temp_player->get_ratio();
		if ((ratio + 9999 < 0.001) && (ratio + 9999 > -0.001)) {
			html::table_entry (out, "ERR");
		} else {
			html::table_entry (out, "%.2f", ratio);
		}
		
		int frags = temp_player->get_frags();
		int total_deaths = temp_player->get_killed() + temp_player->get_suicides() + temp_player->get_deaths();
		html::table_entry (out, "%.1f", temp_player->get_eff());
		html::table_entry (out, "%.2f", temp_player->get_skill());
		html::table_entry (out, "%i", frags);
		html::table_entry (out, "%i", temp_player->get_kills());
		html::table_entry (out, "%i", temp_player->get_killed());
		html::table_entry (out, "%i", temp_player->get_suicides());
		html::table_entry (out, "%i", temp_player->get_deaths());
		html::table_entry (out, "%i", total_deaths);
		int playtime = temp_player->playtime;
		if (playtime != 0) {
			html::table_entry (out, "%.2f", (double) frags * 60.0 / (double) playtime);
		} else {
			html::table_entry (out, "0.00");
		}
		if (playtime != 0) {
			html::table_entry (out, "%.2f", (double) total_deaths * 60.0 / (double) playtime);
		} else {
			html::table_entry (out, "0.00");
		}
		html::table_entry (out, "%s", diverse::timestr_hm (temp_player->playtime));
		html::table_entry (out, "%i", temp_player->game_count);
		if (temp_player->ping_count > 0) {
			html::table_entry (out, "%i", temp_player->ping_sum / temp_player->ping_count);
		} else {
			html::table_entry (out, "-");
		}
		out->write ("</tr>\r\n");
		temp_player = temp_player->next;
		rank++;
	}
	html::table_footer(out);
	html::html_footer(out, true);
}

void output::game_data(int gamecount)
{
	outputfile gamedata;
	gamedata.open_append ("../q3ladata.txt");
	for (int i = 0; i < result->get_player_count(); i++) {
		gamedata.write ("%i", gamecount);
		gamedata.write (",%s", result->get_player(i)->htmlname_nofun);
		gamedata.write (",%i", result->get_player_kills(i));
		gamedata.write (",%i", result->get_player_killed(i));
		gamedata.write (",%i", result->get_player_suicides(i));
		gamedata.write (",%i", result->get_player(i)->get_deaths());
		gamedata.write (",%s", diverse::timestr_h (result->get_player(i)->playtime));
		
		// kills
		gamedata.write (",%i", result->get_player_kills(i,1)); // Shotgun
		gamedata.write (",%i", result->get_player_kills(i,2)); // Gauntlet
		gamedata.write (",%i", result->get_player_kills(i,3)); // Machinegun
		gamedata.write (",%i", result->get_player_kills(i,4)); // Grenade Launcher
		gamedata.write (",%i", result->get_player_kills(i,6)); // Rocket Launcher
		gamedata.write (",%i", result->get_player_kills(i,8)); // Plasma
		gamedata.write (",%i", result->get_player_kills(i,10)); // Railgun
		gamedata.write (",%i", result->get_player_kills(i,11)); // Lightning Gun
		gamedata.write (",%i", result->get_player_kills(i,12)); // BFG
		gamedata.write (",%i", result->get_player_kills(i,18)); // Telefrag
		gamedata.write (",%i", result->get_player_kills(i,20)); // Suicide ("/kill" in console)
		gamedata.write (",%i", result->get_player_kills(i,23)); // Nailgun
		gamedata.write (",%i", result->get_player_kills(i,24)); // Chaingun
		gamedata.write (",%i", result->get_player_kills(i,25)); // Prox launcher
		
		// killed
		gamedata.write (",%i", result->get_player_killed(i,1)); // Shotgun
		gamedata.write (",%i", result->get_player_killed(i,2)); // Gauntlet
		gamedata.write (",%i", result->get_player_killed(i,3)); // Machinegun
		gamedata.write (",%i", result->get_player_killed(i,4)); // Grenade Launcher
		gamedata.write (",%i", result->get_player_killed(i,6)); // Rocket Launcher
		gamedata.write (",%i", result->get_player_killed(i,8)); // Plasma
		gamedata.write (",%i", result->get_player_killed(i,10)); // Railgun
		gamedata.write (",%i", result->get_player_killed(i,11)); // Lightning Gun
		gamedata.write (",%i", result->get_player_killed(i,12)); // BFG
		gamedata.write (",%i", result->get_player_killed(i,18)); // Telefrag
		gamedata.write (",%i", result->get_player_killed(i,20)); // Suicide ("/kill" in console)
		gamedata.write (",%i", result->get_player_killed(i,23)); // Nailgun
		gamedata.write (",%i", result->get_player_killed(i,24)); // Chaingun
		gamedata.write (",%i", result->get_player_killed(i,25)); // Prox launcher
		
		gamedata.write ("\r\n");
	}
	gamedata.close();
}

void output::player_weapon_stats(player_t* player)
{
	html::line (out, "<b>Weapon stats</b>");	
	html::set_tdth ("bgcolor=#000080");
	html::table_header(out, "border=1 cellspacing=0 bgcolor=#606060 bordercolor=#000000");
	out->write ("<tr bgcolor=000080>\r\n");
	html::table_entry_bold (out, "Weapon");
	html::set_tdth ("colspan=2 align=center bgcolor=#000080");
	html::table_entry_bold (out, "Kills");
	html::table_entry_bold (out, "Deaths");
	html::set_tdth ("");
	out->write ("</tr>\r\n");
	for (int i = 1; i < MAX_WEAPONS; i++) {
		if ((player->get_kills(i) == 0) && (player->get_killed(i) == 0)) {
			continue;
		}
		out->write ("<tr>\r\n");
		html::set_tdth ("width=120 align=left");
		html::table_entry_bold (out, "%s", config->weaponnames[i]);
		html::set_tdth ("width=60 align=right");
		html::table_entry (out, "%i", player->get_kills(i));
		if (player->get_kills() > 0) {
			html::table_entry (out, "%i %%", 
				(int) (100.0 * (double) player->get_kills(i) / (double) player->get_kills() + 0.5));
		} else {
			html::table_entry (out, "0 %%");
		}
		html::table_entry (out, "%i", player->get_killed(i));
		if (player->get_killed() > 0) {
			html::table_entry (out, "%i %%", 
				(int) (100.0 * (double) player->get_killed(i) / (double) player->get_killed() + 0.5));
		} else {
			html::table_entry (out, "0 %%");
		}
		out->write ("</tr>\r\n");
	}
	out->write ("<tr>\r\n");
	html::set_tdth ("width=120 align=left");
	html::table_entry_bold (out, "TOTAL");
	html::set_tdth ("width=60 align=right");
	html::table_entry_bold (out, "%i", player->get_kills(0));
	html::table_entry_bold (out, "100 %%");
	html::table_entry_bold (out, "%i", player->get_killed(0));
	html::table_entry_bold (out, "100 %%");
	out->write ("</tr>\r\n");
	html::table_footer (out);
}

void output::list_health_stats_html()
{
	bool teamplay = result->teamplay;
	html::line (out, "<b>Health & Armor pickups</b>");
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000 bgcolor=#606060");
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	html::set_tdth ("align=left width=20");
	html::table_entry_bold (out, "#");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "Name");
	if (teamplay) {
		html::table_entry_bold (out, "Team");
	}
	html::set_tdth ("align=center");
	if (config->no_bots == false) {
		html::table_entry_bold (out, "Bot");
	}
	
	// items FIRST LINE
	html::set_tdth ("align=center colspan=5");	
	html::table_entry_bold (out, "Health");			// 5x health
	html::set_tdth ("align=center colspan=4");	
	html::table_entry_bold (out, "Armor");			// 4x armor 
	html::set_tdth ("align=center");			// 1x
	out->write ("</tr>\r\n");
	// items SECOND LINE
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	if (config->no_bots == false) {
		if (teamplay) {
			html::set_tdth ("colspan=4");
		} else {
			html::set_tdth ("colspan=3");
		}
	} else {
		if (teamplay) {
			html::set_tdth ("colspan=3");
		} else {
			html::set_tdth ("colspan=2");
		}
	}
	html::table_entry (out, "&nbsp;");
	html::set_tdth ("");
	out->write ("<td>Small</td><td>Normal</td><td>Large</td><td>Mega</td><td><b>Total</b></td>");	// health (4x + sum)
	out->write ("<td>Shard</td><td>Combat</td><td>Body</td><td><b>Total</b></td>");	// armor (3x + sum)
	out->write ("</tr>\r\n");
	//-- items
	
	
	for (int i = 0; i < result->get_player_count(); i++) {
		player_t* p = result->get_player(i);
		if (i % 2 == 0) {
			out->write ("<tr align=right bgcolor=#808080>\r\n");
		} else {
			out->write ("<tr align=right>\r\n");
		}
		html::set_tdth ("align=left");
		html::table_entry (out, "%i", i+1);
		html::table_entry (out, "<b>%s</b>", p->get_htmlname(config->no_funnames));
		if (teamplay) {
			html::table_entry (out, "<center><b>%s</b></center>", teamstr(result->get_player(i)->teams));
			
		}
		html::set_tdth ("align=center");
		if (config->no_bots == false) {
			if (p->botskill > -1) {
				html::table_entry (out, "(%i)", p->botskill);
			} else {
				html::table_entry (out, "-");
			}
		}
		html::set_tdth ("");
		
		// data
		html::table_entry (out, "%i", p->item_health_small);
		html::table_entry (out, "%i", p->item_health);
		html::table_entry (out, "%i", p->item_health_large);
		html::table_entry (out, "%i", p->item_health_mega);
		unsigned int health_sum =
			p->item_health_small * 5 +
			p->item_health * 25 +
			p->item_health_large * 50 +
			p->item_health_mega * 100;
		html::table_entry (out, "%i", health_sum);
		html::table_entry (out, "%i", p->item_armor_shard);
		html::table_entry (out, "%i", p->item_armor_combat);
		html::table_entry (out, "%i", p->item_armor_body);
		unsigned int armor_sum =
			p->item_armor_shard * 5 +
			p->item_armor_combat * 50 +
			p->item_armor_body * 100;
		html::table_entry (out, "%i", armor_sum);
		//-- data
		
		out->write ("</tr>\r\n");
	}
	html::table_footer(out);
}

void output::list_powerup_stats_html()
{
	bool teamplay = result->teamplay;
	html::line (out, "<b>Powerup pickups</b>");
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000 bgcolor=#606060");
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	html::set_tdth ("align=left width=20");
	html::table_entry_bold (out, "#");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "Name");
	if (teamplay) {
		html::table_entry_bold (out, "Team");
	}
	html::set_tdth ("align=center");
	if (config->no_bots == false) {
		html::table_entry_bold (out, "Bot");
	}
	
	html::set_tdth ("align=center");			
	html::table_entry_bold (out, "Quad");			// Quad
	html::table_entry_bold (out, "Regen");			// Regeneration
	html::table_entry_bold (out, "Haste");			// Haste
	html::table_entry_bold (out, "Invis");			// Invisibility
	html::table_entry_bold (out, "B-suit");			// Battle suit
	html::table_entry_bold (out, "Flight");			// Flight
	html::table_entry_bold (out, "Medkit");			// Medkit
	html::table_entry_bold (out, "Teleporter");		// Teleporter
	out->write ("</tr>\r\n");
	
	for (int i = 0; i < result->get_player_count(); i++) {
		player_t* p = result->get_player(i);
		if (i % 2 == 0) {
			out->write ("<tr align=right bgcolor=#808080>\r\n");
		} else {
			out->write ("<tr align=right>\r\n");
		}
		html::set_tdth ("align=left");
		html::table_entry (out, "%i", i+1);
		html::table_entry (out, "<b>%s</b>", p->get_htmlname(config->no_funnames));
		if (teamplay) {
			html::table_entry (out, "<center><b>%s</b></center>", teamstr(result->get_player(i)->teams));
			
		}
		html::set_tdth ("align=center");
		if (config->no_bots == false) {
			if (p->botskill > -1) {
				html::table_entry (out, "(%i)", p->botskill);
			} else {
				html::table_entry (out, "-");
			}
		}
		html::set_tdth ("");
		
		// data
		html::table_entry (out, "%i", p->item_quad);
		html::table_entry (out, "%i", p->item_regen);
		html::table_entry (out, "%i", p->item_haste);
		html::table_entry (out, "%i", p->item_invis);
		html::table_entry (out, "%i", p->item_enviro);
		html::table_entry (out, "%i", p->item_flight);
		html::table_entry (out, "%i", p->holdable_medkit);
		html::table_entry (out, "%i", p->holdable_teleporter);
		//-- data
		
		out->write ("</tr>\r\n");
	}
	html::table_footer(out);
}

void output::list_weapon_stats_html()
{
	bool teamplay = result->teamplay;
	html::line (out, "<b>Weapon pickups</b>");
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000 bgcolor=#606060");
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	html::set_tdth ("align=left width=20");
	html::table_entry_bold (out, "#");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "Name");
	if (teamplay) {
		html::table_entry_bold (out, "Team");
	}
	html::set_tdth ("align=center");
	if (config->no_bots == false) {
		html::table_entry_bold (out, "Bot");
	}
	
	// weapons 
	html::set_tdth ("");	
	html::table_entry_bold (out, "Shotgun");
	html::table_entry_bold (out, "G-Launcher");
	html::table_entry_bold (out, "R-Launcher");
	html::table_entry_bold (out, "Machinegun");
	html::table_entry_bold (out, "Lightning");
	html::table_entry_bold (out, "Railgun");
	html::table_entry_bold (out, "Plasmagun");
	html::table_entry_bold (out, "BFG");
	out->write ("</tr>\r\n");
	//-- weapons
	
	for (int i = 0; i < result->get_player_count(); i++) {
		player_t* p = result->get_player(i);
		if (i % 2 == 0) {
			out->write ("<tr align=right bgcolor=#808080>\r\n");
		} else {
			out->write ("<tr align=right>\r\n");
		}
		html::set_tdth ("align=left");
		html::table_entry (out, "%i", i+1);
		html::table_entry (out, "<b>%s</b>", p->get_htmlname(config->no_funnames));
		if (teamplay) {
			html::table_entry (out, "<center><b>%s</b></center>", teamstr(result->get_player(i)->teams));
			
		}
		html::set_tdth ("align=center");
		if (config->no_bots == false) {
			if (p->botskill > -1) {
				html::table_entry (out, "(%i)", p->botskill);
			} else {
				html::table_entry (out, "-");
			}
		}
		html::set_tdth ("");
		
		// data
		html::table_entry (out, "%i", p->weapon_shotgun);
		html::table_entry (out, "%i", p->weapon_grenadelauncher);
		html::table_entry (out, "%i", p->weapon_rocketlauncher);
		html::table_entry (out, "%i", p->weapon_machinegun);
		html::table_entry (out, "%i", p->weapon_lightning);
		html::table_entry (out, "%i", p->weapon_railgun);
		html::table_entry (out, "%i", p->weapon_plasmagun);
		html::table_entry (out, "%i", p->weapon_bfg);
		//-- data
		
		out->write ("</tr>\r\n");
	}
	html::table_footer(out);
}

void output::list_ammo_stats_html()
{
	bool teamplay = result->teamplay;
	html::line (out, "<b>Ammo pickups</b>");
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000 bgcolor=#606060");
	out->write ("<tr align=right bgcolor=#000080>\r\n");
	html::set_tdth ("align=left width=20");
	html::table_entry_bold (out, "#");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "Name");
	if (teamplay) {
		html::table_entry_bold (out, "Team");
	}
	html::set_tdth ("align=center");
	if (config->no_bots == false) {
		html::table_entry_bold (out, "Bot");
	}
	
	// weapons 
	html::set_tdth ("");	
	html::table_entry_bold (out, "Shotgun");
	html::table_entry_bold (out, "G-Launcher");
	html::table_entry_bold (out, "R-Launcher");
	html::table_entry_bold (out, "Machinegun");
	html::table_entry_bold (out, "Lightning");
	html::table_entry_bold (out, "Railgun");
	html::table_entry_bold (out, "Plasmagun");
	html::table_entry_bold (out, "BFG");
	out->write ("</tr>\r\n");
	//-- weapons
	
	for (int i = 0; i < result->get_player_count(); i++) {
		player_t* p = result->get_player(i);
		if (i % 2 == 0) {
			out->write ("<tr align=right bgcolor=#808080>\r\n");
		} else {
			out->write ("<tr align=right>\r\n");
		}
		html::set_tdth ("align=left");
		html::table_entry (out, "%i", i+1);
		html::table_entry (out, "<b>%s</b>", p->get_htmlname(config->no_funnames));
		if (teamplay) {
			html::table_entry (out, "<center><b>%s</b></center>", teamstr(result->get_player(i)->teams));
			
		}
		html::set_tdth ("align=center");
		if (config->no_bots == false) {
			if (p->botskill > -1) {
				html::table_entry (out, "(%i)", p->botskill);
			} else {
				html::table_entry (out, "-");
			}
		}
		html::set_tdth ("");
		
		// data
		html::table_entry (out, "%i", p->ammo_shells);
		html::table_entry (out, "%i", p->ammo_grenades);
		html::table_entry (out, "%i", p->ammo_rockets);
		html::table_entry (out, "%i", p->ammo_bullets);
		html::table_entry (out, "%i", p->ammo_lightning);
		html::table_entry (out, "%i", p->ammo_slugs);
		html::table_entry (out, "%i", p->ammo_cells);
		html::table_entry (out, "%i", p->ammo_bfg);
		//-- data
		
		out->write ("</tr>\r\n");
	}
	html::table_footer(out);
}

char* output::teamstr(char *teams)
{
	static char result[1024];
	char prev = 0;
	result[0] = 0;
	for (unsigned int i = 0; i < strlen (teams); i++) {
		if (teams[i] != prev) {
			strncat (result, teams+i, 1);
		}
		prev = teams[i];
	}
	strcpy (teams, result);
	result[0] = 0;
	for (unsigned j = 0; j < strlen (teams); j++) {
		switch (teams[j]) {
		case 1:
			strcat (result, "<font color=red>R</font>");
			break;
		case 2:
			strcat (result, "<font color=blue>B</font>");
			break;
		case 3:
			strcat (result, "S");
			break;
		}
	}
	return result;
}

void output::player_to_player_stats(player_t* player)
{
	result_total->sort_p2p(player, so_kills);
	html::line (out, "<b>Player vs player stats</b>");	
	html::set_tdth ("bgcolor=#000080");
	html::table_header(out, "border=1 cellspacing=0 bgcolor=#606060 bordercolor=#000000");
	out->write ("<tr bgcolor=000080>\r\n");
	html::table_entry_bold (out, "Enemy");
	html::table_entry_bold (out, "Kills");
	html::table_entry_bold (out, "Deaths");
	html::table_entry_bold (out, "Enemy Eff");
	html::set_tdth ("");
	out->write ("</tr>\r\n");
	int unlisted_kills = 0;
	int unlisted_killed = 0;
	p2p_t* temp_p2p = player->first_p2p.next;
	while (temp_p2p != 0) {

		if ((temp_p2p->get_kills() == 0) && (temp_p2p->get_killed() == 0)) {
			temp_p2p = temp_p2p->next;
			continue;
		}

		player_t* temp_player = result_total->get_player (temp_p2p->get_name());

		if (limits_exceeded(temp_player)) {
			unlisted_kills += temp_p2p->get_kills();
			unlisted_killed += temp_p2p->get_killed();
			temp_p2p = temp_p2p->next;
			continue;
		}

		out->write ("<tr>\r\n");
		html::set_tdth ("align=left");
		
		html::table_entry_bold (out, "<a href=\"player_%i.htm\">%s</a>", 
			temp_player->iterator, temp_player->get_htmlname(config->no_funnames));

		html::set_tdth ("align=right");
		html::table_entry (out, "%i", temp_p2p->get_kills());
		html::table_entry (out, "%i", temp_p2p->get_killed());
		html::table_entry (out, "%.2f", temp_player->get_eff());
		out->write ("</tr>\r\n");
		temp_p2p = temp_p2p->next;
	}
	if ((unlisted_killed > 0) || (unlisted_kills > 0)) {
		out->write ("<tr>\r\n");
		html::set_tdth ("align=left");
		html::table_entry_bold (out, "UNLISTED");
		html::set_tdth ("align=right");
		html::table_entry (out, "%i", unlisted_kills);
		html::table_entry (out, "%i", unlisted_killed);
		html::table_entry_bold (out, "-");
		out->write ("</tr>\r\n");
	}
	out->write ("<tr>\r\n");
	html::set_tdth ("align=left");
	html::table_entry_bold (out, "TOTAL");
	html::set_tdth ("align=right");
	html::table_entry_bold (out, "%i", player->get_kills(0));
	html::table_entry_bold (out, "%i", player->get_killed(0));
	html::table_entry_bold (out, "-");
	out->write ("</tr>\r\n");
	html::table_footer (out);
}

void output::player_info(player_t *player)
{
	html::line (out, "<b>Player info</b>");
	html::table_header(out, "border=1 cellspacing=0 bordercolor=#000000");
	out->write ("<tr>\r\n");
	html::set_tdth ("bgcolor=#000080");
	html::table_entry_bold (out, "Frags");
	html::table_entry_bold (out, "Kills");
	html::table_entry_bold (out, "Killed");
	html::table_entry_bold (out, "Suicides");
	html::table_entry_bold (out, "Deaths");
	html::table_entry_bold (out, "T.deaths");
	html::table_entry_bold (out, "Eff");
	out->write ("</tr>\r\n");
	out->write ("<tr align=\"right\">\r\n");
	html::set_tdth ("bgcolor=#606060");
	html::table_entry (out, "%i", player->get_frags());
	html::table_entry (out, "%i", player->get_kills());
	html::table_entry (out, "%i", player->get_killed());
	html::table_entry (out, "%i", player->get_suicides());
	html::table_entry (out, "%i", player->get_deaths());
	html::table_entry (out, "%i", player->get_killed() + player->get_suicides() + player->get_deaths());
	html::table_entry (out, "%.2f", player->get_eff());
	out->write ("</tr>\r\n");
	html::table_footer(out);
}

bool output::limits_exceeded(player_t *player)
{
	if (config->limits_used == true) {
		// check min_kills
		if ((config->min_kills > 0) && (player->get_kills() < config->min_kills)) {
			return true;
		}
		// check min_games
		if ((config->min_games > 0) && (player->game_count < config->min_games)) {
			return true;
		}
		// check min_playtime
		if ((config->min_playtime > 0) && (player->playtime < config->min_playtime)) {
			return true;
		}
	}
	return false;
}
